PaymentsTransactions

Get total spending with filtration

This endpoint allows you to get total spending value by transaction history (so it ignores spending for calls and sms). Endpoint supports filtration, so you can specify which transactions you want to be considered. As this endpoint calculates spending data, transactions with types incoming_transfer and deposit are ignored. Also, only transaction with status done are considered.

GET
/api/v1/payments/transactions/total

Query Parameters

amount_from?number

Optional parameter. Allows to filter out transactions with amount greater than given value.

Range0 <= value
amount_to?number

Optional parameter. Allows to filter out transactions with amount less than given value.

Range0 <= value
period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

search_query?string

Optional parameter that allows to search transactions by comment value. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "id" | "status" | "type" | "amount" | "balance_after" | "comment" | "created_at"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
status?string

Accepts a list of transaction statuses to filter by. If the list is empty – this filter will be ignored.

Value in"undefined" | "pending" | "done" | "rejected" | "refunded"
type?array<>

Accepts a list of transaction types to filter by. If the list is empty – this filter will be ignored.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/transactions/total" \  -H "Authorization: string"
{
  "code": 0,
  "data": {
    "total_spending": 0
  },
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.